2018-01-17 19:05 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001875openmediavaultBugpublic2018-01-05 10:02
Reportersubzero79 
Assigned Tovotdev 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86OSDebianOS Version9.3
Product VersionArrakis (4.x) 
Target VersionFixed in VersionArrakis (4.x) 
Summary0001875: Diskstats plugin errors
DescriptionI've only have a screenshot of the plugin is failing to create some graphs for some disks

Let me know if you need more info
TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0005092

subzero79 (reporter)

omv-rpc 'FileSystemMgmt' 'enumerateMountedFilesystems' '{"includeroot": true}' | jq -r '.[] | .parentdevicefile | ltrimstr("/dev/")'
sdg
sdd
dm-2
dm-1
false
null
null


Last three are in order
mergerfs
zfs
zfs

So maybe we should exclude if parent device is false? For zfs nothing we can do, as is backend doesn't return parent device. Looking for an alternative to this

~0005094

votdev (administrator)

Fixed in openmediavault-diskstats 4.0.1, see https://github.com/openmediavault/openmediavault/commit/5c69033dd446168f70b84ab88fae82ab3d5c63a2.
+Notes

-Issue History
Date Modified Username Field Change
2018-01-04 00:24 subzero79 New Issue
2018-01-04 00:24 subzero79 Status new => assigned
2018-01-04 00:24 subzero79 Assigned To => votdev
2018-01-04 00:24 subzero79 File Added: Screenshot_2018-01-04_09-19-37.png
2018-01-04 00:34 subzero79 Note Added: 0005092
2018-01-05 10:02 votdev Product Version Erasmus (3.x) => Arrakis (4.x)
2018-01-05 10:02 votdev Product build 4.0.15-1 =>
2018-01-05 10:02 votdev Status assigned => resolved
2018-01-05 10:02 votdev Resolution open => fixed
2018-01-05 10:02 votdev Fixed in Version => Arrakis (4.x)
2018-01-05 10:02 votdev Note Added: 0005094
+Issue History